<?php
$title = array("PRODUCT", "COLOR", "PRICE", "STOCK");
$products = array(
["iPad", "black", 400, 5], ["Camera", "gray", 180, 3],
["Bucket", "blue", 12, 7], ["Bottle", "pink", 15, 9],
["T-Shirt", "yellow", 20, 10], ["Coat", "navy", 35, 7]);
?>
<!DOCTYPE html>
<html>
<head>
    <title>Demo 2: jQuery Toggle Table Row (by ID)</title>
    <meta charset="UTF-8">
    <meta name="description" content="Scripts for Learning Programming">
    <meta name="author" content="Easy Code Share">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
    <link rel="stylesheet" href="toggle.css">
</head>
<body>
    <table>
    <!-- Title -->
    <tr><?php foreach($title as $data) echo "<th>$data</th>"; ?></tr>
    <!-- Toggle Bar -->
    <tr class='bar'>
    <td id="odd">Toggle Odd</td>
    <td id="even">Toggle Even</td>
    <td id="all">Toggle All</td>
    <td></td></tr>
    <!-- Rows -->
    <?php foreach($products as $key=>$data) { 
        $cls = (($key%2) == 0) ? $cls = "all odd" : $cls = "all even";
        echo "<tr class='$cls'>";
        foreach($data as $field) echo "<td>$field</td>";
        echo "</tr>";
    } ?>
    </table>
</body>
</html>
<script>
$(document).ready(function() {  
    $('tr.bar td').on("click", function() {
        ele = "." + $(this).attr("id");
        if ($(ele).css("display") == "none")
            $(ele).show();
        else
            $(ele).hide();   
    }); 
});
</script>

