<?php
$title = array("Product", "Color", "Price", "Stock");
$products = array(
["iPad", "black", 400, 5], ["Camera", "gray", 180, 3],
["Bucket", "blue", 12, 7], ["Bottle", "pink", 15, 9],
["T-Shirt", "yellow", 20, 10], ["Coat", "navy", 35, 7]);
?>
<!DOCTYPE html>
<html>
<head>
    <title>Demo 4: jQuery Toggle Table Column</title>
    <meta charset="UTF-8">
    <meta name="description" content="Scripts for Learning Programming">
    <meta name="author" content="Easy Code Share">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
    <link rel="stylesheet" href="toggle.css">
</head>
<body>
    <!-- Column Toggle CheckBox -->
    <div class="check-area">
        <tr><?php foreach($title as $col=>$data) {
            echo "<input type='checkbox' column='col-$col' checked>";
            echo "<label style='font-weight:bold'>$data</label>&emsp;"; 
        }?></tr>
    </div>
    
    <table>
    <!-- Title -->
    <tr><?php foreach($title as $col=>$data) echo "<th class='col-$col'>$data</th>"; ?></tr>
    <!-- Rows -->
    <?php foreach($products as $key=>$data) { 
        echo "<tr>";
        foreach($data as $col=>$field) {
            $cls = (($col%2) == 0) ? $cls = "odd" : $cls = "even";
            echo "<td class='$cls col-$col'>$field</td>";
        }
        echo "</tr>";
    } ?>
    </table>
</body>
</html>
<script>
$(document).ready(function() {  
    $('div.check-area input').on("change", function() {
        ele = "." + $(this).attr("column");
        $(ele).toggle();
    });         
});
</script>

