<?php
$title = array("Product", "Color", "Price", "Stock");
$products = array(
["iPad", "black", 400, 5], ["Camera", "gray", 180, 3],
["Bucket", "blue", 12, 7], ["Bottle", "pink", 15, 9],
["T-Shirt", "yellow", 20, 10], ["Coat", "navy", 35, 7]);
?>
<!DOCTYPE html>
<html>
<head>
    <title>Demo 5: jQuery Toggle Div</title>
    <meta charset="UTF-8">
    <meta name="description" content="Scripts for Learning Programming">
    <meta name="author" content="Easy Code Share">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
    <link rel="stylesheet" href="toggle.css">
</head>
<body>
    <!-- DIV Toggle CheckBox -->
    <div class="check-area">
        <tr><?php foreach($products as $key=>$data) {
            echo "<input type='checkbox' entry='name-$data[0]' checked>";
            echo "<label style='font-weight:bold'>$data[0]</label>&emsp;"; 
            //if($key==2) echo "<br>";
        }?></tr>
    </div>
    <!-- Title -->
    <div class="row" style="background:navy; color:white">
    <?php foreach($title as $data) echo str_replace(' ', '&nbsp;', sprintf("%20s", $data)); ?>
    </div>
    <!-- Rows -->
    <?php foreach($products as $key=>$data) { 
        $cls = "row name-$data[0]";
        $cls = (($key%2) == 0) ? $cls .= " odd" : $cls .= " even";
        echo "<div class='$cls'>";
        foreach($data as $field) echo str_replace(' ', '&nbsp;', sprintf("%20s", $field));
        echo "</div>";
    } ?>
</body>
</html>
<script>
$(document).ready(function() {  
    $('div.check-area input').on("change", function() {
        ele = "." + $(this).attr("entry");
        $(ele).toggle();
    });         
});
</script>

